{
  "name": "travel_design",
  "version": "2.0.1",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve --mode development",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint",
    "build:fonts": "node scripts/build-fonts"
  },
  "dependencies": {
    "@amcharts/amcharts4": "^4.10.38",
    "@amcharts/amcharts4-geodata": "^4.1.28",
    "@element-plus/icons-vue": "^2.1.0",
    "@hcaptcha/vue3-hcaptcha": "^1.3.0",
    "@icon-park/vue-next": "^1.4.2",
    "@types/ali-oss": "^6.16.11",
    "@types/opentype.js": "^1.3.8",
    "@types/psd": "^3.4.3",
    "@vueuse/integrations": "^10.7.2",
    "ali-oss": "^6.18.1",
    "animate.css": "^4.1.1",
    "axios": "^1.6.2",
    "chartist": "^1.3.0",
    "clipboard": "^2.0.11",
    "core-js": "^3.8.3",
    "crypto-js": "^4.0.0",
    "dexie": "3.0.3",
    "element-plus": "^2.4.2",
    "file-saver": "^2.0.5",
    "hfmath": "0.0.2",
    "html-to-image": "^1.11.11",
    "konva": "^9.3.0",
    "lodash": "^4.17.21",
    "md5-ts": "^0.1.6",
    "mitt": "^3.0.1",
    "nanoid": "^4.0.2",
    "number-precision": "^1.6.0",
    "opentype.js": "^1.3.4",
    "pinia": "^2.1.7",
    "pinia-plugin-persistedstate": "^3.2.1",
    "pptxgenjs": "^3.12.0",
    "pptxtojson": "^0.0.13",
    "prosemirror-commands": "^1.3.0",
    "prosemirror-dropcursor": "^1.6.0",
    "prosemirror-gapcursor": "^1.3.1",
    "prosemirror-history": "^1.3.0",
    "prosemirror-inputrules": "^1.2.0",
    "prosemirror-keymap": "^1.2.0",
    "prosemirror-model": "^1.18.1",
    "prosemirror-schema-basic": "^1.2.0",
    "prosemirror-schema-list": "^1.2.1",
    "prosemirror-state": "^1.4.1",
    "prosemirror-view": "^1.27.2",
    "psd.js": "^3.9.0",
    "qrcode": "^1.5.3",
    "register-service-worker": "^1.7.2",
    "secure-ls": "^1.2.6",
    "svg-arc-to-cubic-bezier": "^3.2.0",
    "svg-pathdata": "^6.0.3",
    "tinycolor2": "^1.6.0",
    "tippy.js": "^6.3.7",
    "vue": "^3.4.21",
    "vue-konva": "^3.0.2",
    "vue-router": "^4.0.13",
    "vue-waypoint": "^4.3.0",
    "vue3-leaderline": "^1.2.11",
    "vuedraggable": "^4.1.0"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.6.6",
    "@commitlint/config-conventional": "^17.6.6",
    "@types/crypto-js": "^4.1.1",
    "@types/file-saver": "^2.0.5",
    "@types/lodash": "^4.14.181",
    "@types/resize-observer-browser": "^0.1.4",
    "@types/svg-arc-to-cubic-bezier": "^3.2.0",
    "@types/tinycolor2": "^1.4.3",
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "@vue/cli-plugin-babel": "~5.0.0",
    "@vue/cli-plugin-eslint": "~5.0.0",
    "@vue/cli-plugin-pwa": "~5.0.0",
    "@vue/cli-plugin-typescript": "~5.0.0",
    "@vue/cli-service": "~5.0.0",
    "@vue/compiler-sfc": "^3.3.7",
    "@vue/eslint-config-typescript": "^11.0.2",
    "babel-plugin-component": "^1.1.1",
    "babel-plugin-import": "^1.13.3",
    "eslint": "^8.34.0",
    "eslint-plugin-vue": "^9.9.0",
    "husky": "8.0.3",
    "postcss-html": "^1.5.0",
    "postcss-scss": "^4.0.6",
    "sass": "^1.32.13",
    "sass-loader": "^8.0.2",
    "stylelint": "^15.10.2",
    "stylelint-config-html": "^1.1.0",
    "stylelint-config-standard": "^34.0.0",
    "stylelint-webpack-plugin": "^4.1.1",
    "typescript": "~4.7.4",
    "unplugin-auto-import": "^0.16.7",
    "unplugin-vue-components": "^0.25.2"
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS"
    }
  }
}
